### Contributors External to CCAO

The Cook County Assessor's Office has a Developer Engagement Program for external contributors. By partnering with developers, coders, data scientists, and others, the CCAO hopes to integrate external knowledge and allow outside contributors to build solutions that advance the mission of the agency. External contributors are required to complete the following documents before receiving access to CCAO data or code:

* [**Statement of Interest**](Contributing/Developer%20Engagement%20Introduction%20Letter.pdf) - The first section of this form is where you tell us about your project: the problem you’re looking to tackle, your proposed solution for this problem, and how you’re going to get there. This form will help the CCAO to determine if your project is a good fit for our office and what resources we will need to allocate for its completion. The second section of the form is to be filled out by CCAO staff as a method of giving you feedback on your project proposal, and the final section of the form will be completed by CCAO staff at the end of the project to offer feedback on the completed project.
* [**Data Subscription Agreement**](Contributing/Developer%20Engagement%20Data%20Subscription%20Agreement.pdf) - This agreement lays out what you can and cannot do with the Data we share with you for your project. This is also where you let us know if anyone will be working on the project with you who will also need access to the Data. (These people will be called Authorized Users.)
* [**Non-Disclosure Agreement**](Contributing/Developer%20Engagement%20Non-Disclosure%20Agreement.pdf) - This agreement says that you will not publicly discuss your project until it has been completed and approved by our office. Any Authorized Users you designate will also need to sign this agreement. This agreement will expire at the conclusion of your project.
*  [**Code of Conduct**](Contributing/Developer%20Engagement%20Code%20of%20Conduct.pdf) - All CCAO employees, officers, and officials are required to uphold the Ethics Executive Order put into place by Assessor Fritz Kaegi. As you will be working with CCAO staff and utilizing CCAO resources for your project, we will hold you to the same ethical standard as the employees, officers, and officials. We have adapted this Ethics Order into a Code of Conduct Agreement that you will need to agree to in order to work with our office.
*  [**Statement of Not-For-Profit Purpose and Work**](Contributing/Developer%20Engagement%20Statement%20of%20Purpose%20Work.docx) - Once the details of your project are agreed upon, before beginning the work you will need to produce a statement of your not-for-profit purpose and a brief description of the work product or deliverables the CCAO can expect from your project. For example, the deliverable might be a new method of data analysis or acknowledgment that the data used in your research paper was provided by the CCAO.

### Contributors Internal to CCAO

See [Onboarding](People/Onboarding).
